|  | Home · All Classes · Modules

# QIODevice.OpenMode Class Reference
[QtCore module]

### Methods

- __init__ (self, OpenMode)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- OpenMode __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, OpenMode f)
- OpenMode __iand__ (self, int mask)
- int __int__ (self)
- OpenMode __invert__ (self)
- OpenMode __ior__ (self, OpenMode f)
- OpenMode __ixor__ (self, OpenMode f)
- bool __ne__ (self, OpenMode f)
- OpenMode __or__ (self, OpenMode f)
- OpenMode __xor__ (self, OpenMode f)

## Detailed Description

OpenModeFlag may be used whenever OpenMode is expected.

## Method Documentation

### OpenMode.__init__ (self, OpenMode)

### OpenMode.__init__ (self, int)

### OpenMode.__init__ (self)

### OpenMode OpenMode.__and__ (self, int mask)

### int OpenMode.__bool__ (self)

### bool OpenMode.__eq__ (self, OpenMode f)

### OpenMode OpenMode.__iand__ (self, int mask)

### int OpenMode.__int__ (self)

### OpenMode OpenMode.__invert__ (self)

### OpenMode OpenMode.__ior__ (self, OpenMode f)

### OpenMode OpenMode.__ixor__ (self, OpenMode f)

### bool OpenMode.__ne__ (self, OpenMode f)

### OpenMode OpenMode.__or__ (self, OpenMode f)

### OpenMode OpenMode.__xor__ (self, OpenMode f)